Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.application
Class ViewHandlerWrapper

    java.lang.Object
      javax.faces.application.ViewHandler
          org.ajax4jsf.application.ViewHandlerWrapper

    public class ViewHandlerWrapper

extends javax.faces.application.ViewHandler

Base wrapper for `ViewHandler` . By default, delegate all method calls to wrapped handler.

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:57:12 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Field Summary
`protected javax.faces.application.ViewHandler` | `handler` Wrapped ViewHandler

Fields inherited from class javax.faces.application.ViewHandler
`CHARACTER_ENCODING_KEY, DEFAULT_FACELETS_SUFFIX, DEFAULT_SUFFIX, DEFAULT_SUFFIX_PARAM_NAME, FACELETS_SUFFIX_PARAM_NAME, FACELETS_VIEW_MAPPINGS_PARAM_NAME`

Constructor Summary
`ViewHandlerWrapper(javax.faces.application.ViewHandler handler)`

Method Summary
`java.lang.String` | `calculateCharacterEncoding(javax.faces.context.FacesContext context)`
`java.util.Locale` | `calculateLocale(javax.faces.context.FacesContext context)`
`java.lang.String` | `calculateRenderKitId(javax.faces.context.FacesContext context)`
`javax.faces.component.UIViewRoot` | `createView(javax.faces.context.FacesContext context, java.lang.String viewId)`
`void` | `fillChain(javax.faces.context.FacesContext context)` Fill view-handlers chain for alternate handlers.
`java.lang.String` | `getActionURL(javax.faces.context.FacesContext context, java.lang.String url)`
`protected javax.faces.application.ViewHandler` | `getHandler()`
`java.lang.String` | `getResourceURL(javax.faces.context.FacesContext context, java.lang.String url)`
`void` | `initView(javax.faces.context.FacesContext context)`
`void` | `renderView(javax.faces.context.FacesContext context, javax.faces.component.UIViewRoot root)`
`javax.faces.component.UIViewRoot` | `restoreView(javax.faces.context.FacesContext context, java.lang.String viewId)`
`void` | `writeState(javax.faces.context.FacesContext context)`

Methods inherited from class javax.faces.application.ViewHandler
`deriveViewId, getBookmarkableURL, getRedirectURL, getViewDeclarationLanguage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handler

    protected javax.faces.application.ViewHandler handler

  Wrapped ViewHandler

Constructor Detail

### ViewHandlerWrapper

    public ViewHandlerWrapper(javax.faces.application.ViewHandler handler)

Parameters:
  `handler` - - to wrap.

Method Detail

### calculateLocale

    public java.util.Locale calculateLocale(javax.faces.context.FacesContext context)

  Specified by:
    `calculateLocale` in class `javax.faces.application.ViewHandler`

### calculateRenderKitId

    public java.lang.String calculateRenderKitId(javax.faces.context.FacesContext context)

  Specified by:
    `calculateRenderKitId` in class `javax.faces.application.ViewHandler`

### createView

    public javax.faces.component.UIViewRoot createView(javax.faces.context.FacesContext context,
                                                       java.lang.String viewId)

  Specified by:
    `createView` in class `javax.faces.application.ViewHandler`

### getActionURL

    public java.lang.String getActionURL(javax.faces.context.FacesContext context,
                                         java.lang.String url)

  Specified by:
    `getActionURL` in class `javax.faces.application.ViewHandler`

### getResourceURL

    public java.lang.String getResourceURL(javax.faces.context.FacesContext context,
                                           java.lang.String url)

  Specified by:
    `getResourceURL` in class `javax.faces.application.ViewHandler`

### renderView

    public void renderView(javax.faces.context.FacesContext context,
                           javax.faces.component.UIViewRoot root)
                    throws java.io.IOException,
                           javax.faces.FacesException

  Specified by:
    `renderView` in class `javax.faces.application.ViewHandler`
  Throws:
    `java.io.IOException`
    `javax.faces.FacesException`

### restoreView

    public javax.faces.component.UIViewRoot restoreView(javax.faces.context.FacesContext context,
                                                        java.lang.String viewId)

  Specified by:
    `restoreView` in class `javax.faces.application.ViewHandler`

### writeState

    public void writeState(javax.faces.context.FacesContext context)
                    throws java.io.IOException

  Specified by:
    `writeState` in class `javax.faces.application.ViewHandler`
  Throws:
    `java.io.IOException`

### getHandler

    protected javax.faces.application.ViewHandler getHandler()

  Returns:
    Returns the handler.

### initView

    public void initView(javax.faces.context.FacesContext context)
                  throws javax.faces.FacesException

  Overrides:
    `initView` in class `javax.faces.application.ViewHandler`
  Throws:
    `javax.faces.FacesException`

### calculateCharacterEncoding

    public java.lang.String calculateCharacterEncoding(javax.faces.context.FacesContext context)

  Overrides:
    `calculateCharacterEncoding` in class `javax.faces.application.ViewHandler`

### fillChain

    public void fillChain(javax.faces.context.FacesContext context)

  Fill view-handlers chain for alternate handlers.

  NOTE: Calls to this method should be synchronized externally since 3.3.0 version

  Parameters:
    `context` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.